> For the complete documentation index, see [llms.txt](https://docs.barte.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.barte.com/guias/webhooks/pedidos-fisicos-maquininhas.md).

# Pedidos Físicos (Maquininhas)

{% hint style="danger" %}
**Formato v1 em descontinuação.**\
A partir de **10/08/2026**, o formato v1 será descontinuado. Todos os sellers deverão estar integrados ao [Webhook v2](/guias/webhooks/webhooks-overview/webhook-v2-visao-geral.md). Sellers que ainda não possuem integração ativa devem integrar diretamente pelo novo modelo.
{% endhint %}

***

O domínio **`PHYSICAL_ORDER`** representa **transações realizadas via maquininha (POS).**\
Ele **segue exatamente a mesma estrutura de payload de `ORDER`**, incluindo campos, formato e comportamento —\
diferindo apenas por trazer **informações adicionais do terminal físico**.

***

### <i class="fa-arrow-right-arrow-left">:arrow-right-arrow-left:</i> Diferenças principais

| Campo                | ORDER                                                                                                       | PHYSICAL\_ORDER                                                                                                           |
| -------------------- | ----------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| **domain**           | `ORDER`                                                                                                     | `PHYSICAL_ORDER`                                                                                                          |
| **origem**           | Cobrança online                                                                                             | Venda física via maquininha                                                                                               |
| **status possíveis** | `SENT`, `ABANDONED`, `PAID`, `CANCELED`, `LATE`, `PARTIALLY_PAID`, `REFUND`, `CHARGEBACK`, `PRE_AUTHORIZED` | `SENT`, `ABANDONED`, `PAID`, `CANCELED`, `LATE`, `PARTIALLY_PAID`, `REFUND`, `CHARGEBACK`, `PRE_AUTHORIZED`               |
| **campos extras**    | —                                                                                                           | `serial_number`, `pos_id`, `brand`, `holderName`, `first4_digits`, `last4_digits`, `rate`, `payment_type`, `installments` |

***

### <i class="fa-right">:right:</i> Status válidos

#### **Physical Orders (`PHYSICAL_ORDER`)**

* SENT
* PRE\_AUTHORIZED
* PARTIALLY\_PAID
* PAID
* CANCELED
* REFUND
* LATE
* CHARGEBACK
* ABANDONED

> 🔸 Pedidos com status `LATE` há mais de **90 dias** são automaticamente marcados como `ABANDONED`.

***

### <i class="fa-gear-code">:gear-code:</i> Estrutura do Payload

Abaixo está um exemplo de payload enviando no Webhook de maquininhas.

```json
{
  "uuid": "c21d64be-5bae-476e-b8d4-9dc373c5afaf",
  "dateTime": "2025-10-21T16:40:55.000Z",
  "status": "PAID",
  "domain": "PHYSICAL_ORDER",
  "amount": "1397.20",
  "installments": "12",
  "first4_digits": "6550",
  "last4_digits": "2921",
  "holderName": "AGUIAR/HILDA B",
  "brand": "ELO CREDITO",
  "authorization_code": "107734",
  "authorization_nsu": "311000210",
  "pos_id": "00000393",
  "cnpj": "31228966000104",
  "company_name": "Carla Marieli Delmiro Capeli Ltda",
  "idSeller": 14161,
  "serial_number": "PB1S24C176607",
  "payment_type": "credit",
  "rate": 9.9
}
```

***

### <i class="fa-credit-card">:credit-card:</i> Campos específicos de POS

| Campo                                  | Descrição                                             |
| -------------------------------------- | ----------------------------------------------------- |
| **serial\_number**                     | Número de série da maquininha utilizada na transação. |
| **pos\_id**                            | Identificador do terminal POS.                        |
| **brand**                              | Bandeira e modalidade (ex.: `ELO CREDITO`).           |
| **holderName**                         | Nome impresso no cartão do portador.                  |
| **first4\_digits** / **last4\_digits** | Dígitos iniciais e finais do cartão utilizado.        |
| **installments**                       | Número de parcelas da compra.                         |
| **payment\_type**                      | Tipo de pagamento (`credit`, `debit`, etc.).          |
| **rate**                               | Percentual de taxa aplicada na operação.              |

<i class="fa-tickets">:tickets:</i> Em caso de dúvidas, entre em contato com o nosso time através do suporte disponibilizado.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.barte.com/guias/webhooks/pedidos-fisicos-maquininhas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
